Bug 413555 - Reconciliation of Credit Card
Summary: Reconciliation of Credit Card
Status: RESOLVED FIXED
Alias: None
Product: kmymoney
Classification: Unclassified
Component: general (show other bugs)
Version: 4.8.4
Platform: Microsoft Windows Microsoft Windows
: NOR minor (vote)
Target Milestone: ---
Assignee: KMyMoney Devel Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-28 13:29 UTC by Al262
Modified: 2019-12-25 23:16 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.8.5,5.0.8


Attachments
Reconcilation of Credit Card (253.57 KB, image/jpeg)
2019-10-28 13:29 UTC, Al262
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Al262 2019-10-28 13:29:35 UTC
Created attachment 123539 [details]
Reconcilation of Credit Card

SUMMARY
Reconciliation process for credit card produces a summary line that uses Deposits/Payments rather than Charges/Payments

STEPS TO REPRODUCE
1. Enter a charge transaction
2. Enter a payment transaction
3. Clear both transactions
4. Execute Reconcile process

OBSERVED RESULT


EXPECTED RESULT


SOFTWARE/OS VERSIONS
Windows: 
macOS: 
Linux/KDE Plasma: 
(available in About System)
KDE Plasma Version: 
KDE Frameworks Version: 
Qt Version: 

ADDITIONAL INFORMATION
Comment 1 Sam Dyer 2019-10-28 19:41:41 UTC
Could you add your software versions to you report like your operating system etc.
Comment 2 Al262 2019-10-28 20:01:38 UTC
KMyMoney version 5.0.6
Windows: Windows Home v10/64 bit (V1903)
Comment 3 Sam Dyer 2019-10-28 20:06:25 UTC
Have you tried version 5.0.7?
Comment 4 Jack 2019-10-28 20:30:13 UTC
As I understand this, it is just a cosmetic issue of the labels used being more appropriate to standard banking accounts than to liability accounts like a credit card.  If so, it will affect all versions the same, as I don't think this has been touched recently.  I'll need to test myself (just haven't had time yet) and then see where in the code it comes from, as it might be a very easy fix.
Comment 5 Al262 2019-10-28 20:42:49 UTC
Yes - this is a cosmetic issue.  I wasn't aware that v5.0.7 had been certified for Windows 10.
Comment 6 Ralf Habacker 2019-10-28 21:42:11 UTC
Git commit dc59d0408b4412f9ea11af329997dccfaaee3938 by Ralf Habacker.
Committed on 28/10/2019 at 21:44.
Pushed by habacker into branch '4.8'.

Fix 'Summary line of reconcilation uses Deposits/Payments rather than Charges/Payments for credit cards'
FIXED-IN:4.8.5

M  +5    -1    kmymoney/views/kgloballedgerview.cpp

https://commits.kde.org/kmymoney/dc59d0408b4412f9ea11af329997dccfaaee3938
Comment 7 Ralf Habacker 2019-10-28 22:14:19 UTC
Git commit 8167daf35f22afe9d7b9d64e3e5cd3c3ee84b953 by Ralf Habacker.
Committed on 28/10/2019 at 22:17.
Pushed by habacker into branch '4.8'.

Use term 'charge(s)' instead of 'deposit(s)' in reconcilation report for credit card accounts

M  +19   -5    kmymoney/plugins/reconciliationreport/reconciliationreport.cpp

https://commits.kde.org/kmymoney/8167daf35f22afe9d7b9d64e3e5cd3c3ee84b953
Comment 8 Ralf Habacker 2019-12-21 12:26:52 UTC
Git commit edce864614e258a1b7b6bb6a477b19d7e4ba46c2 by Ralf Habacker.
Committed on 21/12/2019 at 12:25.
Pushed by habacker into branch '5.0'.

Use term 'charge(s)' instead of 'deposit(s)' in reconcilation report for credit card accounts

Cherry picked and rebased from commit 8167daf35f22afe9d7b9d64e3e5cd3c3ee84b953.
Reviewed By: tbaumgart
Differential Revision: https://phabricator.kde.org/D26132

M  +7    -2    kmymoney/plugins/reconciliationreport/reconciliationreport.cpp

https://commits.kde.org/kmymoney/edce864614e258a1b7b6bb6a477b19d7e4ba46c2
Comment 9 Ralf Habacker 2019-12-21 12:26:52 UTC
Git commit a4577f64adb70336f9222c79ed1112086493bd40 by Ralf Habacker.
Committed on 21/12/2019 at 12:24.
Pushed by habacker into branch '5.0'.

Fix 'Summary line of reconcilation uses Deposits/Payments rather than Charges/Payments for credit cards'

Cherry picked and reabased from commit dc59d0408b4412f9ea11af329997dccfaaee3938
Reviewed By: tbaumgart
Differential Revision: https://phabricator.kde.org/D26132

M  +5    -1    kmymoney/views/kgloballedgerview_p.h

https://commits.kde.org/kmymoney/a4577f64adb70336f9222c79ed1112086493bd40
Comment 10 Thomas Baumgart 2019-12-25 09:22:04 UTC
Git commit d58530d5e24261d89500c6d2a9873f2a345ec78d by Thomas Baumgart.
Committed on 25/12/2019 at 09:21.
Pushed by tbaumgart into branch 'master'.

Use term 'charge(s)' instead of 'deposit(s)' in reconcilation report for credit card accounts

Cherry picked and rebased from commit
8167daf35f22afe9d7b9d64e3e5cd3c3ee84b953.
Reviewed By: tbaumgart
Differential Revision: https://phabricator.kde.org/D26132

(cherry picked from commit edce864614e258a1b7b6bb6a477b19d7e4ba46c2)

M  +7    -2    kmymoney/plugins/reconciliationreport/reconciliationreport.cpp

https://commits.kde.org/kmymoney/d58530d5e24261d89500c6d2a9873f2a345ec78d
Comment 11 Thomas Baumgart 2019-12-25 09:22:04 UTC
Git commit 0efb6995402f1529c3c2e9f844a2d304027ef420 by Thomas Baumgart.
Committed on 25/12/2019 at 09:20.
Pushed by tbaumgart into branch 'master'.

Fix 'Summary line of reconcilation uses Deposits/Payments rather than Charges/Payments for credit cards'

Cherry picked and reabased from commit
dc59d0408b4412f9ea11af329997dccfaaee3938
Reviewed By: tbaumgart
Differential Revision: https://phabricator.kde.org/D26132

(cherry picked from commit a4577f64adb70336f9222c79ed1112086493bd40)

M  +5    -1    kmymoney/views/kgloballedgerview_p.h

https://commits.kde.org/kmymoney/0efb6995402f1529c3c2e9f844a2d304027ef420